Skip to main content
POST
/
accounts
/
create-child
Create child account
curl --request POST \
  --url https://api.agentic.scope3.com/api/v2/accounts/create-child \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Nike",
  "customerRole": "BUYER"
}
'
{
  "user": {},
  "customer": {},
  "customers": [
    {}
  ],
  "showPsaBox": true,
  "hasContract": true,
  "latestPsaVersion": "<string>",
  "convertedFromStandalone": true
}

Authorizations

Authorization
string
header
required

API key or access token

Body

application/json

Request body for creating a child customer account

name
string
required

Name for the new child account

Required string length: 1 - 255
Example:

"Nike"

customerRole
enum<string>
required

Whether the account is a buyer or seller

Available options:
BUYER,
SELLER
Example:

"BUYER"

parentName
string

Name for the parent account created during standalone conversion. Defaults to "{company} (Admin)" if omitted.

Required string length: 1 - 255
Example:

"Acme HQ"

Response

Create child account

Full user context scoped to the new child customer

user
object
required

User profile data

customer
object
required

Customer context for the newly created child

customers
object[]
required

All accessible customer accounts

showPsaBox
boolean
required

Whether to show the ToS acceptance dialog

hasContract
boolean
required

Whether the customer has an active contract

latestPsaVersion
string
required

Latest PSA version identifier

convertedFromStandalone
boolean
required

True if the request triggered a standalone-to-parent conversion